Bug 47143 - CSS 2.1 failure: absolute-non-replaced-height-001, absolute-non-replaced-max-height-001
Summary: CSS 2.1 failure: absolute-non-replaced-height-001, absolute-non-replaced-max-...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords:
Depends on:
Blocks: 47141
  Show dependency treegraph
 
Reported: 2010-10-04 21:22 PDT by Simon Fraser (smfr)
Modified: 2011-03-10 15:11 PST (History)
1 user (show)

See Also:


Attachments
absolute-non-replaced-height-001.htm (1.17 KB, text/html)
2010-10-04 21:22 PDT, Simon Fraser (smfr)
no flags Details
Early 2011 version of the test (1.29 KB, text/html)
2011-03-04 14:22 PST, Brady Duga
no flags Details
Patch (28.63 KB, patch)
2011-03-10 14:53 PST, Dave Hyatt
bdakin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2010-10-04 21:22:52 PDT
Created attachment 69736 [details]
absolute-non-replaced-height-001.htm

Two failures here:

html4/absolute-non-replaced-height-001	fail
html4/absolute-non-replaced-max-height-001	fail
Comment 1 Brady Duga 2011-03-04 14:22:01 PST
Created attachment 84795 [details]
Early 2011 version of the test

I don't see a problem with this test running the latest WK, especially with the latest version. The old version was a little vague about exactly what we should see, but this version is pretty clear and it seems to be fine. Should this be marked fixed?
Comment 2 Dave Hyatt 2011-03-10 14:20:11 PST
While they did correct the test it still looks like a bug to me that we get the position wrong on the first test.  I'll need to study it further though.
Comment 3 Dave Hyatt 2011-03-10 14:53:25 PST
Created attachment 85391 [details]
Patch
Comment 4 Dave Hyatt 2011-03-10 15:11:56 PST
Fixed in r80770.